## org.eclipse.emf.converter.ui.contribution.base
Class ModelConverterWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.emf.converter.ui.contribution.base.ModelConverterWizard

All Implemented Interfaces:
  IWizard, IWorkbenchWizard

Direct Known Subclasses:
  ModelExporterWizard, ModelImporterWizard

    public abstract class ModelConverterWizard

extends Wizard
implements IWorkbenchWizard

Since:
  2.2.0

Nested Class Summary
`static class` `ModelConverterWizard.PageHelper`

Field Summary
`protected ConverterUIUtil.DiagnosticHandler` `diagnosticHandler`
`protected Diagnostic` `doPerformFinishDiagnostic`
`protected ModelConverter` `modelConverter`
`protected static ModelConverterWizard.PageHelper` `pageHelper`
`protected IStructuredSelection` `selection`
`protected IWorkbench` `workbench`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`ModelConverterWizard()`

Method Summary
`protected abstract ModelConverter` `createModelConverter()`
`void` `dispose()`
`protected Diagnostic` `doPerformFinish(Monitor monitor)` Subclasses should overwrite this method, adding the code that performs the actions required when this wizard is "finished".
`protected IFile` `getFile(IPath path)`
`protected ModelConverter` `getModelConverter()`
`IStructuredSelection` `getSelection()`
`IWorkbench` `getWorkbench()`
`protected void` `handleConvertDiagnostic(Diagnostic diagnostic)`
`void` `init(IWorkbench workbench, IStructuredSelection selection)`
`protected void` `openEditor(IFile file)`
`boolean` `performCancel()`
`boolean` `performFinish()`
`protected void` `selectFile(IFile file)`
`void` `setContainer(IWizardContainer wizardContainer)`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, addPages, canFinish, createPageControls, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`addPages, canFinish, createPageControls, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor`

Field Detail

### pageHelper

    protected static ModelConverterWizard.PageHelper pageHelper

### selection

    protected IStructuredSelection selection

### workbench

    protected IWorkbench workbench

### modelConverter

    protected ModelConverter modelConverter

### doPerformFinishDiagnostic

    protected Diagnostic doPerformFinishDiagnostic

### diagnosticHandler

    protected ConverterUIUtil.DiagnosticHandler diagnosticHandler

Constructor Detail

### ModelConverterWizard

    public ModelConverterWizard()

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IWizard`
  Overrides:
    `dispose` in class `Wizard`

### createModelConverter

    protected abstract ModelConverter createModelConverter()

### getModelConverter

    protected ModelConverter getModelConverter()

### init

    public void init(IWorkbench workbench,
                     IStructuredSelection selection)

  Specified by:
    `init` in interface `IWorkbenchWizard`

### getWorkbench

    public IWorkbench getWorkbench()

### getSelection

    public IStructuredSelection getSelection()

### setContainer

    public void setContainer(IWizardContainer wizardContainer)

  Specified by:
    `setContainer` in interface `IWizard`
  Overrides:
    `setContainer` in class `Wizard`

### performCancel

    public boolean performCancel()

  Specified by:
    `performCancel` in interface `IWizard`
  Overrides:
    `performCancel` in class `Wizard`

### performFinish

    public boolean performFinish()

  Specified by:
    `performFinish` in interface `IWizard`
  Specified by:
    `performFinish` in class `Wizard`

### handleConvertDiagnostic

    protected void handleConvertDiagnostic(Diagnostic diagnostic)

### doPerformFinish

    protected Diagnostic doPerformFinish(Monitor monitor)
                                  throws java.lang.Exception

  Subclasses should overwrite this method, adding the code that performs the actions required when this wizard is "finished".

  The `Diagnostic` returned by this method should be used to provide the user some information regarding a successful conversion. If the conversion fails, an exception should be thrown.

  Parameters:
    `monitor` -
  Returns:
    `Diagnostic`
  Throws:
    `java.lang.Exception`

### getFile

    protected IFile getFile(IPath path)

### selectFile

    protected void selectFile(IFile file)

### openEditor

    protected void openEditor(IFile file)
                       throws PartInitException

  Throws:
    `PartInitException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.